import 'package:healthrian_ble_interface/healthrian_ble_interface.dart';

class CommandsSave {
  const CommandsSave({
    this.ecg = const CommandsEcg(),
    this.oxi = const CommandsOxi(),
    this.ble = const CommandsBle(),
    this.func = const CommandsFunction(),
  });

  final CommandsEcg ecg;
  final CommandsOxi oxi;
  final CommandsBle ble;
  final CommandsFunction func;

  List<int> get startEcg => func.packet(ecg.startSave);
  List<int> get stopEcg => func.packet(ecg.stopSave);

  List<int> get startOxi => func.packet(oxi.startSave);
  List<int> get stopOxi => func.packet(oxi.stopSave);
}
